OPEN "debug22.txt" FOR INPUT AS #1
OPEN "z.txt" FOR OUTPUT AS #3
REM copy out the text..
OPEN "d.txt" FOR OUTPUT AS #2
DO
LINE INPUT #1, a$
IF a$ = "" THEN GOTO again2
line$ = MID$(a$, 5, 4)
PRINT #2, "u " + line$
again2:
LOOP UNTIL EOF(1)
CLOSE #2
SHELL "debug file2.txt <d.txt >t.txt"

OPEN "t.txt" FOR INPUT AS #2
SEEK #1, 1
DO
LINE INPUT #1, a$
IF a$ = "" THEN GOTO again

again3:
LINE INPUT #2, b$
IF LEFT$(b$, 2) <> "=u" THEN GOTO again3
LINE INPUT #2, b$
IF LEN(b$) <= 25 THEN LINE INPUT #2, b$

FOR a = 1 TO LEN(b$)
IF MID$(b$, a, 1) = CHR$(9) THEN MID$(b$, a, 1) = " "
NEXT a


a1$ = RIGHT$(a$, LEN(a$) - 5)
b1$ = RIGHT$(b$, LEN(b$) - 24)
IF LEN(a1$) <= 30 THEN sp$ = SPACE$(30 - LEN(a1$))
IF LEN(a1$) > 30 THEN sp$ = CHR$(13) + CHR$(10) + SPACE$(30)


PRINT #3, a1$; sp$; b1$
'STOP
again:
LOOP UNTIL EOF(1)


CLOSE #3
CLOSE #1

